# Verify and start HAPI if necessary
typeset -ri _FALSE=1 2>/dev/null
typeset -ri _TRUE=0 2>/dev/null
typeset -i _SERVICE_STARTED=$_FALSE
typeset -r _INSTSVCDRV=/etc/init.d/instsvcdrv
bServiceStarted() 
{
    [ $_SERVICE_STARTED -eq $_TRUE ]
}
[ -f $_INSTSVCDRV ] && {
    $_INSTSVCDRV status >/dev/null 2>&1 || {
        $_INSTSVCDRV start >/dev/null 2>&1
        _SERVICE_STARTED=$_TRUE
    }
}

./MaserIE $@

# stop HAPI if necessary
bServiceStarted && $_INSTSVCDRV stop >/dev/null 2>&1

